Package org.globus.gsi.provider

# Class SigningPolicyStoreException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.security.GeneralSecurityException
java.security.cert.CertStoreException
org.globus.gsi.provider.SigningPolicyStoreException

All Implemented Interfaces:
  `Serializable`

public class SigningPolicyStoreException extends CertStoreException
This exception signifies an error processing a SigningPolicy in a SigningPolicyStore.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SigningPolicyStoreException(String msg)`
`SigningPolicyStoreException(String msg, Throwable ex)`
`SigningPolicyStoreException(Throwable ex)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SigningPolicyStoreException

public SigningPolicyStoreException(String msg)

### SigningPolicyStoreException

public SigningPolicyStoreException(String msg, Throwable ex)

### SigningPolicyStoreException

public SigningPolicyStoreException(Throwable ex)